#!/usr/local/miniconda/envs/aiida-1.6.8/bin/python3
"""
Retrieve and store relaxations in a group
"""

from aiida import load_profile
import project_utils as pu

load_profile()

def main():
    """
    TO BE COMPLETED
    """
    pu.print_versions()
    # Line below not needed: using the default name if test_mode is False
    incoming_struct_group = 'AsTe3_Te-based_sc181_relaxed_free_cell_accurate'
    pu.postprocess_modify_and_relax_calculations(
        incoming_group='AsTe3_Te-based_sc181_relaxed_free_cell_accurate',
        modified_struct_group_name='AsTe3_Te-based_sc181_relaxed_free_cell_accurate_lattice_changed_to_ref',
        relaxed_struct_group_basename='AsTe3_Te-based_sc181_relaxed_refined',
        modif_labels=None, modif_process_labels=['change_lattice_to_ref_and_assign'],
        modified_struct_group_description=('Best AsTe3 structures previously '
            'refined with setting free_cell_accurate and scaled to impose the '
            'lattice parameters refined vs combined XRD and X-ray total '
            'scattering data'),
        relax_process_label='VaspMultiStepRelaxWorkchain',
        relax_setting='fixed_cell_accurate',
        data_basename='relaxed_data', verbosity=1,
        show_data_dicts_in_group=False)
    """
    pu.store_relaxed_struct_and_data(incoming_struct_group,
        'AsTe3_Te-based_sc181_relaxed',
        'free_cell_accurate', relax_process_label='VaspMultiStepRelaxWorkchain',
        data_basename='relaxed_data',
        data_description=('AsTe3 configurations derived from 1x8x1 supercell ' +
                          'of Te-matal, relaxed with free_cell_accurate setting'),
        verbosity=1, remove_older_data_dicts=True)
    """
if __name__ == '__main__':
    main()

