#!/usr/local/miniconda/envs/aiida-1.6.8/bin/python3
"""
Retrieve and store relaxations in a group
"""

from aiida import load_profile
import project_utils as pu

load_profile()

def main():
    """
    Main workfunction to explore As/Te disorder in Te-metal 1x8x1 supercell
    """
    pu.print_versions()
    # Line below not needed: using the default name if test_mode is False
    incoming_struct_group = 'AsTe3_Te-based_sc181_As-Te-configurations_no-opt'
    pu.store_relaxed_struct_and_data(incoming_struct_group,
        'AsTe3_Te-based_sc181_relaxed',
        'fixed_cell_rough', relax_process_label='VaspMultiStepRelaxWorkchain',
        data_basename='relaxed_data',
        data_description=('AsTe3 configurations derived from 1x8x1 supercell ' +
                          'of Te-matal, relaxed with fixed-cell rough setting'),
        verbosity=2, remove_older_data_dicts=True)

if __name__ == '__main__':
    main()

